<template>
  <div>
    <app-header class="app-header"/>
    <router-view :key="key"/>
  </div>
</template>

<script>
import AppHeader from './AppHeader'
export default {
  components: {
    AppHeader
  },
  computed: {
    userInfo() {
      return this.$store.state.app.userInfo
    },
    key() {
      return this.$route.matched[0].name
    }
  }
}
</script>

<style lang="scss" scoped>
  .app-header {
    height: 101px;
    background: $bc1;
  }
</style>
